Page Menu
Home
Solus
Search
Configure Global Search
Log In
Files
F10892819
D4561.id11163.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Flag For Later
Size
12 KB
Referenced Files
None
Subscribers
None
D4561.id11163.diff
View Options
diff --git a/lightning-langpacks.sh b/lightning-langpacks.sh
new file mode 100755
--- /dev/null
+++ b/lightning-langpacks.sh
@@ -0,0 +1,87 @@
+#!/bin/bash
+# Original script by Jan Horak for Fedora
+set -e
+
+VER="60.3.2"
+#ARCH="x86_64"
+ARCH="i686"
+
+WHITE='\033[1;33m'
+NC='\033[0m' # No Color
+
+LOCALES=`curl -f https://ftp.mozilla.org/pub/thunderbird/releases/$VER/linux-$ARCH/ | grep "a href"|sed -e "s|.*/\([^/]*\)/\".*|\1|"|tail -n+2 |grep -v xpi`
+#echo $LOCALES
+rm -rf lightning-langpacks
+mkdir -p lightning-langpacks
+cd lightning-langpacks
+LOCALE_COUNT=`echo $LOCALES| tr ' ' '\n' | wc -l`
+LOCALE_NUM=0
+for lang in $LOCALES; do
+ LOCALE_NUM=$((LOCALE_NUM+1))
+ echo -e "${WHITE}Processing calendar locale: $lang ($LOCALE_NUM/$LOCALE_COUNT)${NC}"
+ mkdir -p extracted_lightning
+ mkdir -p calendar-locales
+ #echo Downloading TB binary for locale: $lang
+ wget --quiet https://ftp.mozilla.org/pub/thunderbird/releases/$VER/linux-$ARCH/$lang/thunderbird-$VER.tar.bz2
+
+ cd extracted_lightning
+ tar -xf ../thunderbird-$VER.tar.bz2 thunderbird/distribution/extensions/\{e2fda1a4-762b-4020-b5ad-a41df1933103\}.xpi
+ set +e
+ unzip -qq thunderbird/distribution/extensions/\{e2fda1a4-762b-4020-b5ad-a41df1933103\}.xpi
+ set -e
+ LIGHTNING_VERSION=`cat app.ini |grep "^Version="|sed -e 's/Version=//'`
+ BUILD_ID=`cat app.ini |grep "^BuildID="|sed -e 's/BuildID=//'`
+ MAX_VERSION=`cat app.ini |grep MaxVersion|sed -e s/MaxVersion=//`
+ MIN_VERSION=`cat app.ini |grep MinVersion|sed -e s/MinVersion=//`
+ rm -rf thunderbird
+ mkdir -p ../calendar-locales/chrome
+ cp -r chrome/calendar-$lang ../calendar-locales/chrome
+ cp -r chrome/lightning-$lang ../calendar-locales/chrome
+ cd -
+
+ cd calendar-locales
+ # create manifest
+ cat > manifest.json <<EOL
+{
+ "languages": {
+ "$lang": {
+ "chrome_resources": {
+ "calendar": "chrome/calendar-$lang/locale/$lang/calendar/",
+ "lightning": "chrome/lightning-$lang/locale/$lang/lightning/"
+ },
+ "version": "$LIGHTNING_VERSION"
+ }
+ },
+ "applications": {
+ "gecko": {
+ "strict_min_version": "$MIN_VERSION",
+ "id": "langpack-cal-$lang@lightning.mozilla.org",
+ "strict_max_version": "$MAX_VERSION"
+ }
+ },
+ "langpack_id": "$lang",
+ "version": "$LIGHTNING_VERSION$BUILD_ID",
+ "name": "$lang Language Pack Calendar",
+ "manifest_version": 2,
+ "sources": {
+ "browser": {
+ "base_path": "browser/"
+ }
+ },
+ "author": "Mozilla.cz (contributors: Pavel Cvrček, Pavel Franc, Michal Stanke, Michal Vašíček)",
+ "description": "Language pack for Thunderbird for $lang, this was repacked by Fedora/RHEL package maintainer from original binaries."
+}
+
+EOL
+ zip --quiet -r ../langpack-cal-$lang@lightning.mozilla.org.xpi *
+ cd -
+ rm -rf calendar-locales
+ rm -rf extracted_lightning
+
+ rm -f thunderbird-$VER.tar.bz2
+done
+
+echo "Creating thunderbird-$VER-lightning-langpacks.tar.xz..."
+tar cJf ../thunderbird-$VER-lightning-langpacks.tar.xz *.xpi
+cd ..
+rm -rf lightning-langpacks
diff --git a/package.yml b/package.yml
--- a/package.yml
+++ b/package.yml
@@ -1,9 +1,10 @@
name : thunderbird
version : 60.3.2
-release : 63
+release : 64
source :
- https://ftp.mozilla.org/pub/thunderbird/releases/60.3.2/source/thunderbird-60.3.2.source.tar.xz : 979707651662ed3654a327e9c568dac5894e73a40d2776bb94ed2950dab4e041
- https://getsol.us/sources/mozilla/thunderbird-60.3.2-langpacks.tar.xz : d256af9cfaabee50cd8eaa924e17a93a24319e3d3c065fcf1fe2bda037a56c1d
+ - https://getsol.us/sources/mozilla/thunderbird-60.3.2-lightning-langpacks.tar.xz : 32254826cdc0d860d7c0df2de3af2635c76f767ef2bdf9ba3ddd94744adb8f49
license :
- GPL-2.0-or-later
- LGPL-2.1-or-later
@@ -54,6 +55,8 @@
install -dm00755 "${langpackdir}"
tar xf "${sources}/thunderbird-${version}-langpacks.tar.xz"
+ tar xf "${sources}/thunderbird-${version}-lightning-langpacks.tar.xz" -C lang_pack
+
for i in lang_pack/*.xpi; do
lname="$(basename ${i})"
install -m00644 "lang_pack/${lname}" "${langpackdir}/${lname}"
diff --git a/pspec_x86_64.xml b/pspec_x86_64.xml
--- a/pspec_x86_64.xml
+++ b/pspec_x86_64.xml
@@ -46,6 +46,64 @@
<Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-bg@thunderbird.mozilla.org.xpi</Path>
<Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-br@thunderbird.mozilla.org.xpi</Path>
<Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-ca@thunderbird.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-ar@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-ast@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-be@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-bg@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-br@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-ca@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-cs@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-cy@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-da@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-de@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-dsb@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-el@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-en-GB@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-en-US@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-es-AR@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-es-ES@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-et@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-eu@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-fi@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-fr@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-fy-NL@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-ga-IE@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-gd@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-gl@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-he@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-hr@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-hsb@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-hu@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-hy-AM@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-id@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-is@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-it@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-ja@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-kab@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-kk@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-ko@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-lt@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-ms@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-nb-NO@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-nl@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-nn-NO@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-pl@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-pt-BR@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-pt-PT@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-rm@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-ro@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-ru@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-si@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-sk@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-sl@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-sq@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-sr@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-sv-SE@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-tr@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-uk@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-vi@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-zh-CN@lightning.mozilla.org.xpi</Path>
+ <Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cal-zh-TW@lightning.mozilla.org.xpi</Path>
<Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cs@thunderbird.mozilla.org.xpi</Path>
<Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-cy@thunderbird.mozilla.org.xpi</Path>
<Path fileType="library">/usr/lib64/thunderbird/extensions/langpack-da@thunderbird.mozilla.org.xpi</Path>
@@ -133,8 +191,8 @@
</Files>
</Package>
<History>
- <Update release="63">
- <Date>2018-11-30</Date>
+ <Update release="64">
+ <Date>2018-12-05</Date>
<Version>60.3.2</Version>
<Comment>Packaging update</Comment>
<Name>Pierre-Yves</Name>
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Jul 1 2023, 6:50 AM (5 w, 6 d ago)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
5855130
Default Alt Text
D4561.id11163.diff (12 KB)
Attached To
Mode
D4561: Update thunderbird to 60.3.3 and add langpacks for lightning
Attached
Detach File
Event Timeline
Log In to Comment